import request, { postBlob, handleImport, getBlob } from '@/utils/request'
export function getLogisticsV2(params) {
  return request({
    url: `/logistics/listV2?moduleId=${params.moduleId}`,
    method: 'post',
    data: params
  })
}
export function exportLogisticsV2(data, name) {
  return postBlob({
    url: '/logistics/listV2/export',
    data,
    name
  })
}




var qs = require('qs')
export function getList(params) {
  return request({
    url: '/admin/user/mch/list',
    method: 'get',
    params
  })
}

export function getLogisticsList(params) {
  return request({
    url: '/logistics/list',
    method: 'get',
    params
  })
}

export function addInof(params) {
  return request({
    url: '/logistics/add',
    method: 'post',
    data: params
  })
}

export function updateInfo(params) {
  return request({
    url: '/logistics/update',
    method: 'post',
    data: params
  })
}

export function deleteInfo(params) {
  return request({
    url: '/logistics/delete',
    method: 'post',
    data: params
    // headers: {
    //   'Content-Type': 'application/x-www-form-urlencoded'
    // }
  })
}
